# API Reference

> Directus offers both a [RESTful](/reference/api/rest/items) and [GraphQL](/reference/api/graphql) API to manage the data in the database. The API has predictable resource-oriented URLs, relies on standard HTTP status codes, and uses JSON for input and output.

- [Authentication](/reference/api/authentication)
- [Global Query Parameters](/reference/api/query)
- [REST API](/reference/api/rest/items)
- [GraphQL](/reference/api/graphql)
- [Assets](/reference/api/assets)
- [Health Check](/reference/api/health)

::: tip Dynamic I/O

Since most endpoints return data based on your specific schema and configured permissions, the input/output of the API differs greatly for individual installations.

:::
